summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2017-03-23 08:23:54 +0100
committerJeroen Roovers <jer@gentoo.org>2017-03-23 08:24:38 +0100
commita1f69cd4c63fd72bd432375df14507e03d9a39a4 (patch)
tree20dde54821d2c86dbbc32aff45639453a2cf4bd1 /net-irc
parentnet-irc/ii: Add live ebuild. (diff)
downloadgentoo-a1f69cd4c63fd72bd432375df14507e03d9a39a4.tar.gz
gentoo-a1f69cd4c63fd72bd432375df14507e03d9a39a4.tar.bz2
gentoo-a1f69cd4c63fd72bd432375df14507e03d9a39a4.zip
net-irc/ii: EAPI bump so people can apply their patches.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'net-irc')
-rw-r--r--net-irc/ii/ii-1.7-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/net-irc/ii/ii-1.7-r1.ebuild b/net-irc/ii/ii-1.7-r1.ebuild
new file mode 100644
index 00000000000..3bd8f005d20
--- /dev/null
+++ b/net-irc/ii/ii-1.7-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit fixheadtails toolchain-funcs
+
+DESCRIPTION="A minimalist FIFO and filesystem-based IRC client"
+HOMEPAGE="http://tools.suckless.org/ii/"
+SRC_URI="http://dl.suckless.org/tools/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "s/CFLAGS[[:space:]]*= -g -O0/CFLAGS += /" \
+ -e "s/LDFLAGS[[:space:]]*=/LDFLAGS +=/" \
+ -e /^LIBS/d \
+ config.mk || die
+
+ # enable verbose build
+ sed -i 's/@${CC}/${CC}/' Makefile || die
+
+ ht_fix_file query.sh
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_install() {
+ dobin ii
+ newbin query.sh ii-query
+ dodoc CHANGES FAQ README
+ doman *.1
+}